package com.syc.slm.slmbi.service;

import com.syc.slm.slmbi.dto.InstrumentPanelPermissionDTO;
import com.syc.slm.slmbi.vo.InstrumentPanelPermissionVo;
import lombok.NonNull;

import java.util.List;
/**
 * slm-bi
 * 仪表板权限
 *
 * @author : lin
 * @date : 2021-03-25 15:10
 **/
public interface InstrumentPanelPermissionService {
    /**
     * 保存仪表板权限
     *
     * @param permissions
     * @return
     */
    String savePermission(List<InstrumentPanelPermissionDTO> permissions);

    /**
     * 从其他仪表板复制配置
     *
     * @param instrumentPanelId
     * @return
     */
    List<InstrumentPanelPermissionVo> saveCopyOtherPermission(@NonNull String instrumentPanelId);

    /**
     * 将仪表板权限复制给其他仪表板
     *
     * @param permissions
     * @param otherInstrumentPanelId
     * @return
     */
    String saveCopyToOtherPermission(List<InstrumentPanelPermissionDTO> permissions, String otherInstrumentPanelId);

    /**
     * 根据仪表板id获取仪表板权限
     *
     * @param instrumentPanelId
     * @return
     */
    List<InstrumentPanelPermissionVo> selectPermissionByPanelId(@NonNull String instrumentPanelId);
}
